#ifndef _LSUP_TTL_PARSER_H
#define _LSUP_TTL_PARSER_H

#include "codec.h"


/** @brief Parse a N-Triples document from a file handle.
 *
 * @param[in] doc N-Triples document.
 *
 * @param[out] gr Pointer to a graph handle to be created. The new graph will
 * have a random UUID URN.
 *
 * @param[out] ct If not NULL it is populated with the number of triples
 *  parsed. This may be more than the triples in the resulting graph.
 *
 * @param[out] err String handle to be populated with an error message.
 *
 * @return LSUP_OK on success, LSUP_VALUE_ERR if a parsing error was
 *  encountered. On error, `err` will contain the error message.
 */
LSUP_rc
LSUP_ttl_parse_doc (FILE *stream, LSUP_Graph **gr, size_t *ct, char **err);

#endif
